Skip to main content
`Ctrl`+`K`
scipy.stats._result_classes.FitResult.

# nllf

FitResult.nllf(params=None, data=None)

  Negative log-likelihood function

  Evaluates the negative of the log-likelihood function of the provided data at the provided parameters.

  Parameters:
    params tuple, optional

      The shape parameters, location, and (if applicable) scale of the distribution as a single tuple. Default is the maximum likelihood estimates (`self.params`).

    data array_like, optional

      The data for which the log-likelihood function is to be evaluated. Default is the data to which the distribution was fit.

  Returns:
    nllf float

      The negative of the log-likelihood function.